Intereting Posts
Возможно ли эффективное развитие андроида на vim? Создайте man-страницу с несколькими исполняемыми файлами Каковы организации каталогов / proc / drivers для нуворишей или radeon В то время как целые целые числа Есть ли причина, по которой я не могу подключиться с префиксом в этом сценарии? Как управлять исходными данными для опции iptables -v? конвертировать исполняемый файл обратно в исходный код C Найти количество IO, возникающее на разных NFS-креплениях Что приложение SFTP просто позволяет перетаскивать с рабочего стола на сервер? законность создания переменной для местоположения файла Найти все файлы, создать CSV с одной строкой для каждого подкаталога и имена файлов в столбцах Именованная служба не запускается – кажется, это кеширование ошибок Характеристики полосы пропускания, CPU и памяти возвращаются в одной строке от терминала FreeBSD: перенаправление портов через PPPoe как перенаправить супер ключи?

Как обновить версию gcc-c ++ на Fedora?

У меня установлена ​​версия 4.4.4 gcc и вы хотите обновить ее до определенной версии или до последней версии. Вот что я пробовал:

 sudo yum install gcc-c++ 

это говорит мне, что Package gcc-c++-4.4.4-10.fc12.i686 already installed and latest version (не правда, есть хотя бы версия 4.8 ).

Затем я попробовал определенную версию:

 sudo yum install gcc-c++-4.8.1 

с результатом No Package gcc-c++-4.8.1 available. ,

Наконец, я попытался обновить пакет

 sudo yum update gcc-c++ 

с результатом No Packages marked for Update .

Итак, как я могу обновить версию gcc и / или gcc-c++ чтобы иметь возможность компилировать проекты с C ++ 11?

Сообщение already installed and latest version относится к последней версии RPM (бинарный пакет) для версии Fedora. Похоже, вы используете Fedora 12, который довольно устарел. Ваш лучший курс действий, скорее всего, обновится до последней версии Fedora, тогда вы получите более новую версию GCC (4.7.2).

Для крупного программного обеспечения, такого как GCC, требуется некоторое время, чтобы выполнить его через процесс сборки и QA. Поэтому, если у вас абсолютно обязательно будет GCC 4.8.1 (что кажется маловероятным с учетом возраста вашего дистрибутива), вам, вероятно, придется либо найти сторонний пакет, либо создать его из источника самостоятельно. Несмотря на это, я по-прежнему рекомендую обновить Fedora, чтобы уменьшить осложнения зависимости.